# Portail web de CreativeCalc
Ceci est le (simple) portail web de [CreativeCalc](http://creativecalc.fr/),
l'association derrière [Planète Casio](https://www.planet-casio.com).
Il est construit avec Jekyll.

## Développement du site
Il vous faudra installer Ruby et Bundle. Pour visualiser en local et en
direct les changements que vous faites, il vous faudra faire la commande
suivante :

	make preview

Le résultat sera disponible sur `localhost:4000` (ou `127.0.0.1:4000` si
vous préférez), et sera automatiquement mis à jour lorsque vous éditez un
fichier faisant partie du projet (excepté la configuration, il vous faudra
relancer la prévisualisation pour cela).

## Production
Pour des raisons de tracabilité, les contributeurs de ce site ne sont pas
censés mettre à jour le site directement, il faut pour cela téléverser vos
modifications sur le dépôt git de base (présent sur CreativeCalc) et demander
à un serveur, que l'on nomme l'`adm`, de mettre à jour le site à partir de
ce qu'il y a sur ce dépôt.

Si vous n'avez pas de double de clés SSH, faites-en un avec `ssh-keygen`
(votre moteur de recherche favori vous renseignera).  
Si vous n'êtes pas déjà inscrit à l'adm, demandez à un administrateur
de vous y rajouter. (si vous êtes un administrateur et que vous ne savez
pas comment faire, vous devriez avoir reçu des instructions plus fines par
mail ou par tout autre moyen alternatif que vous avez communiqué au reste
de l'équipe)

Il est conseillé, dans sa configuration SSH, de faire une entrée pour l'adm
du VPS de Planète Casio :

	Host admpc
		Hostname git.planet-casio.com
		IdentityFile ~/.ssh/<votre clé, e.g. id_rsa>
		User adm

Ainsi, vous pouvez alors tout simplement faire :

	ssh admpc update creativecalc.fr
